/********************************************************************************
 *  
 *  Product: GSALib
 *  Description: A C# API for accessing the Google Search Appliance.
 *
 *  (c) Copyright 2008 Michael Cizmar + Associates Ltd.  (MC+A)
 *  
********************************************************************************/

using System;
using System.Collections.Generic;
using System.Text;

namespace GSALib.Constants
{
    /// <summary>
    /// Class provides language filtering values supported by GSA
    /// <para>Author Albert Ghukasyan</para>    
    /// </summary>
    public sealed class Languages
    {
        #region Constant Variables

        /// <summary>
        /// Provides Arabic language
        /// </summary>
        public const string Arabic = "lang_ar";

        /// <summary>
        /// Provides Chinese (Simplified) language
        /// </summary>
        public const string ChineseSimplified = "lang_zh-CN";

        /// <summary>
        /// Provides Chinese (Traditional) language
        /// </summary>
        public const string ChineseTraditional = "lang_zh-TW";

        /// <summary>
        /// Provides Czech language
        /// </summary>
        public const string Czech = "lang_cs";

        /// <summary>
        /// Provides Danish language
        /// </summary>
        public const string Danish = "lang_da";

        /// <summary>
        /// Provides Dutch language
        /// </summary>
        public const string Dutch = "lang_nl";

        /// <summary>
        /// Provides English language
        /// </summary>
        public const string English = "lang_en";

        /// <summary>
        /// Provides Estonian language
        /// </summary>
        public const string Estonian = "lang_et";

        /// <summary>
        /// Provides Finnish language
        /// </summary>
        public const string Finnish = "lang_fi";

        /// <summary>
        /// Provides French language
        /// </summary>
        public const string French = "lang_fr";

        /// <summary>
        /// Provides German language
        /// </summary>
        public const string German = "lang_de";

        /// <summary>
        /// Provides Greek language
        /// </summary>
        public const string Greek = "lang_el";

        /// <summary>
        /// Provides Hebrew language
        /// </summary>
        public const string Hebrew = "lang_iw";

        /// <summary>
        /// Provides Hungarian language
        /// </summary>
        public const string Hungarian = "lang_hu";

        /// <summary>
        /// Provides Icelandic language
        /// </summary>
        public const string Icelandic = "lang_is";

        /// <summary>
        /// Provides Italian language
        /// </summary>
        public const string Italian = "lang_it";

        /// <summary>
        /// Provides Japanese language
        /// </summary>
        public const string Japanese = "lang_ja";

        /// <summary>
        /// Provides Korean language
        /// </summary>
        public const string Korean = "lang_ko";

        /// <summary>
        /// Provides Latvian language
        /// </summary>
        public const string Latvian = "lang_lv";
        
        /// <summary>
        /// Provides Lithuanian language
        /// </summary>
        public const string Lithuanian = "lang_lt";

        /// <summary>
        /// Provides Norwegian language
        /// </summary>
        public const string Norwegian = "lang_no";

        /// <summary>
        /// Provides Portuguese language
        /// </summary>
        public const string Portuguese = "lang_pt";

        /// <summary>
        /// Provides Polish language
        /// </summary>
        public const string Polish = "lang_pl";

        /// <summary>
        /// Provides Romanian language
        /// </summary>
        public const string Romanian = "lang_ro";

        /// <summary>
        /// Provides Russian language
        /// </summary>
        public const string Russian = "lang_ru";

        /// <summary>
        /// Provides Spanish language
        /// </summary>
        public const string Spanish = "lang_es";

        /// <summary>
        /// Provides Swedish language
        /// </summary>
        public const string Swedish = "lang_sv";

        /// <summary>
        /// Provides Turkish language
        /// </summary>
        public const string Turkish = "lang_tr";

        #endregion
    }
}
