'*******************************************************************************
' *  
' *  Product: GSALib
' *  Description: A C# API for accessing the Google Search Appliance.
' *
' *  (c) Copyright 2008 Michael Cizmar + Associates Ltd.  (MC+A)
' *  
'*******************************************************************************


Imports System
Imports System.Collections.Generic
Imports System.Text

Namespace GSALib.Constants
    ''' <summary>
    ''' Encoding class provides encoding values supported by GSA
    ''' <para>Author Albert Ghukasyan</para>    
    ''' </summary>
    Public NotInheritable Class Encoding
#Region "Constant Variables"

        ''' <summary>
        ''' Provides Chinese (Simplified) Encoding ^GB2312
        ''' </summary>
        Public Const GB2312 As String = "GB2312"

        ''' <summary>
        ''' Provides Chinese (Traditional) Encoding ^Big5 
        ''' </summary>
        Public Const Big5 As String = "Big5"

        ''' <summary>
        ''' Provides Unicode (All Languages) Encoding ^UTF-8
        ''' </summary>
        Public Const UTF8 As String = "UTF-8"

        ''' <summary>
        ''' Provides Russian Encoding ^ISO-8859-5
        ''' </summary>
        Public Const cyrillic As String = "cyrillic"

        ''' <summary>
        ''' Provides Danish,Dutch,English,Finnish,French,German,Icelandic,Italian,Norwegian,Portuguese,Spanish,Swedish Encoding ^ISO-8859-1
        ''' </summary>
        Public Const latin1 As String = "latin1"

        ''' <summary>
        ''' Provides Czech,Hungarian,Polish,Romanian Encoding ^ISO-8859-2
        ''' </summary>
        Public Const latin2 As String = "latin2"

        ''' <summary>
        ''' Provides Turkish Encoding ^ISO-8859-3
        ''' </summary>
        Public Const latin3 As String = "latin3"

        ''' <summary>
        ''' Provides Estonian,Latvian,Lithuanian Encoding ^ISO-8859-4
        ''' </summary>
        Public Const latin4 As String = "latin4"

        ''' <summary>
        ''' Provides Turkish Encoding ^ISO-8859-9
        ''' </summary>
        Public Const latin5 As String = "latin5"

        ''' <summary>
        ''' Provides Greek Encoding ^ISO-8859-7
        ''' </summary>
        Public Const greek As String = "greek"

        ''' <summary>
        ''' Provides Hebrew Encoding ^ISO-8859-8
        ''' </summary>
        Public Const hebrew As String = "hebrew"

        ''' <summary>
        ''' Provides Japanese Encoding ^Shift_JIS
        ''' </summary>
        Public Const sjis As String = "sjis"

        ''' <summary>
        ''' Provides Japanese Encoding ^ISO-2022-JP
        ''' </summary>
        Public Const jis As String = "jis"

        ''' <summary>
        ''' Provides Japanese Encoding ^EUC-JP
        ''' </summary>
        Public Const eucjp As String = "euc-jp"

        ''' <summary>
        ''' Provides Korean Encoding ^EUC-KR
        ''' </summary>
        Public Const euckr As String = "euc-kr"

#End Region
    End Class
End Namespace
