'*******************************************************************************
' *  
' *  Product: GSALib
' *  Description: A C# API for accessing the Google Search Appliance.
' *
' *  (c) Copyright 2008 Michael Cizmar + Associates Ltd.  (MC+A)
' *  
'*******************************************************************************


Imports System
Imports System.Collections.Generic
Imports System.Text

Namespace GSALib.Constants
    ''' <summary>
    ''' Class provides language filtering values supported by GSA
    ''' <para>Author Albert Ghukasyan</para>    
    ''' </summary>
    Public NotInheritable Class Languages
#Region "Constant Variables"

        ''' <summary>
        ''' Provides Arabic language
        ''' </summary>
        Public Const Arabic As String = "lang_ar"

        ''' <summary>
        ''' Provides Chinese (Simplified) language
        ''' </summary>
        Public Const ChineseSimplified As String = "lang_zh-CN"

        ''' <summary>
        ''' Provides Chinese (Traditional) language
        ''' </summary>
        Public Const ChineseTraditional As String = "lang_zh-TW"

        ''' <summary>
        ''' Provides Czech language
        ''' </summary>
        Public Const Czech As String = "lang_cs"

        ''' <summary>
        ''' Provides Danish language
        ''' </summary>
        Public Const Danish As String = "lang_da"

        ''' <summary>
        ''' Provides Dutch language
        ''' </summary>
        Public Const Dutch As String = "lang_nl"

        ''' <summary>
        ''' Provides English language
        ''' </summary>
        Public Const English As String = "lang_en"

        ''' <summary>
        ''' Provides Estonian language
        ''' </summary>
        Public Const Estonian As String = "lang_et"

        ''' <summary>
        ''' Provides Finnish language
        ''' </summary>
        Public Const Finnish As String = "lang_fi"

        ''' <summary>
        ''' Provides French language
        ''' </summary>
        Public Const French As String = "lang_fr"

        ''' <summary>
        ''' Provides German language
        ''' </summary>
        Public Const German As String = "lang_de"

        ''' <summary>
        ''' Provides Greek language
        ''' </summary>
        Public Const Greek As String = "lang_el"

        ''' <summary>
        ''' Provides Hebrew language
        ''' </summary>
        Public Const Hebrew As String = "lang_iw"

        ''' <summary>
        ''' Provides Hungarian language
        ''' </summary>
        Public Const Hungarian As String = "lang_hu"

        ''' <summary>
        ''' Provides Icelandic language
        ''' </summary>
        Public Const Icelandic As String = "lang_is"

        ''' <summary>
        ''' Provides Italian language
        ''' </summary>
        Public Const Italian As String = "lang_it"

        ''' <summary>
        ''' Provides Japanese language
        ''' </summary>
        Public Const Japanese As String = "lang_ja"

        ''' <summary>
        ''' Provides Korean language
        ''' </summary>
        Public Const Korean As String = "lang_ko"

        ''' <summary>
        ''' Provides Latvian language
        ''' </summary>
        Public Const Latvian As String = "lang_lv"

        ''' <summary>
        ''' Provides Lithuanian language
        ''' </summary>
        Public Const Lithuanian As String = "lang_lt"

        ''' <summary>
        ''' Provides Norwegian language
        ''' </summary>
        Public Const Norwegian As String = "lang_no"

        ''' <summary>
        ''' Provides Portuguese language
        ''' </summary>
        Public Const Portuguese As String = "lang_pt"

        ''' <summary>
        ''' Provides Polish language
        ''' </summary>
        Public Const Polish As String = "lang_pl"

        ''' <summary>
        ''' Provides Romanian language
        ''' </summary>
        Public Const Romanian As String = "lang_ro"

        ''' <summary>
        ''' Provides Russian language
        ''' </summary>
        Public Const Russian As String = "lang_ru"

        ''' <summary>
        ''' Provides Spanish language
        ''' </summary>
        Public Const Spanish As String = "lang_es"

        ''' <summary>
        ''' Provides Swedish language
        ''' </summary>
        Public Const Swedish As String = "lang_sv"

        ''' <summary>
        ''' Provides Turkish language
        ''' </summary>
        Public Const Turkish As String = "lang_tr"

#End Region
    End Class
End Namespace
