'*******************************************************************************
' *  
' *  Product: GSALib
' *  Description: A C# API for accessing the Google Search Appliance.
' *
' *  (c) Copyright 2008 Michael Cizmar + Associates Ltd.  (MC+A)
' *  
'*******************************************************************************


Imports System
Imports System.Collections.Generic
Imports System.Collections
Imports System.Text

Namespace GSALib.Constants
    ''' <summary>
    ''' Class provides Methods/Members to set Suggestion
    ''' <para>Author Albert Ghukasyan</para>    
    ''' </summary>
    Public NotInheritable Class Suggestion
#Region "Variables"

        ''' <summary>
        ''' Text of the suggestion
        ''' </summary>
        Private text As String

        ''' <summary>
        ''' Markup Text of the suggestion
        ''' </summary>
        Private textMarkup As String

#End Region

#Region "Methods"

        Public Sub setText(ByVal text As String)
            Me.text = text
        End Sub

        Public Function getText() As String
            Return text
        End Function

        Public Sub setTextMarkup(ByVal textMarkup As String)
            Me.textMarkup = textMarkup
        End Sub

        Public Function getTextMarkup() As String
            Return textMarkup
        End Function

#End Region
    End Class

    ''' <summary>
    ''' Class provides Methods/Members to set Spelling
    ''' <para>Author Albert Ghukasyan</para>    
    ''' </summary>
    Public Class Spelling
#Region "Variables"

        Public suggestions As New ArrayList()

#End Region

#Region "Variables"

        Public Sub addSuggestion(ByVal suggestion As Suggestion)
            suggestions.Add(suggestion)
        End Sub

        Public Function getSuggestions() As ArrayList
            Return suggestions
        End Function

#End Region
    End Class
End Namespace
