'*******************************************************************************
' *  
' *  Product: GSALib
' *  Description: A C# API for accessing the Google Search Appliance.
' *
' *  (c) Copyright 2008 Michael Cizmar + Associates Ltd.  (MC+A)
' *  
'*******************************************************************************


Imports System
Imports System.Collections.Generic
Imports System.Text

Namespace GSALib.Exceptions
    ''' <summary>
    ''' "Need Network Credentails" Exception class ,throws when access not set to public and no NTLM Credentails specified
    ''' <para>Author Albert Ghukasyan</para>    
    ''' </summary>
    Public NotInheritable Class GSANeedNetworkCredentailsException
        Inherits Exception
#Region "Variables"

        Private _message As String
        Private _StackTrace As String

#End Region

#Region "Constructor"

        Friend Sub New(ByVal Message As String, ByVal StackTrace As String)
            Me._message = Message
            Me._StackTrace = StackTrace
        End Sub

#End Region

#Region "System.Exception class override Methods"

        Public Overloads Overrides ReadOnly Property Message() As String
            Get
                Return Me._message
            End Get
        End Property

        Public Overloads Overrides ReadOnly Property StackTrace() As String
            Get
                Return Me._StackTrace
            End Get
        End Property

#End Region

    End Class
End Namespace
