'*******************************************************************************
' *  
' *  Product: GSALib
' *  Description: A C# API for accessing the Google Search Appliance.
' *
' *  (c) Copyright 2008 Michael Cizmar + Associates Ltd.  (MC+A)
' *  
'*******************************************************************************


Imports System
Imports System.Collections
Imports System.Collections.Generic
Imports System.Text

Namespace GSALib.GSA
    ''' <summary>
    ''' Provides metods to collect OneBox results returned from GSA Server
    ''' <para>Author Albert Ghukasyan</para>
    ''' </summary>
    Public NotInheritable Class OneBoxResponse
#Region "Variables"

        Private titleText As String
        Private titleLink As String
        Private imageSource As String
        Private providerName As String
        Private moduleResults As ArrayList

#End Region

#Region "Constructor"

        Public Sub New()
            Me.moduleResults = New ArrayList()
        End Sub

#End Region

#Region "Get/Set Properties"

        Public Function getImageSource() As String
            Return imageSource
        End Function

        Public Function getModuleResults() As ArrayList
            Return moduleResults
        End Function

        Public Function getProviderName() As String
            Return providerName
        End Function

        Public Function getTitleLink() As String
            Return titleLink
        End Function

        Public Function getTitleText() As String
            Return titleText
        End Function

        Public Sub setImageSource(ByVal imageSource As String)
            Me.imageSource = imageSource
        End Sub

        Public Sub setModuleResults(ByVal moduleResults As ArrayList)
            Me.moduleResults = moduleResults
        End Sub

        Public Sub addResult(ByVal oneboxResult As OneBoxResult)
            Me.moduleResults.Add(oneboxResult)
        End Sub

        Public Sub setProviderName(ByVal providerName As String)
            Me.providerName = providerName
        End Sub

        Public Sub setTitleLink(ByVal titleLink As String)
            Me.titleLink = titleLink
        End Sub

        Public Sub setTitleText(ByVal titleText As String)
            Me.titleText = titleText
        End Sub

#End Region
    End Class
End Namespace
